import request from '@/utils/request'

// 查询数据调查-自然幢列表
export function listZrz(query) {
  return request({
    url: '/home/homespacezrz/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查-自然幢
export function exportZrz(query) {
  return request({
    url: '/houseSurvey/zrz/export',
    method: 'get',
    params: query
  })
}

// 查询数据调查-自然幢详细
export function getZrz(id) {
  return request({
    url: '/home/homespacezrz/get/' + id,
    method: 'get'
  })
}

// 新增数据调查-自然幢
export function addZrz(data) {
  return request({
    url: '/home/homespacezrz/add',
    method: 'post',
    data: data
  })
}

// 修改数据调查-自然幢
export function updateZrz(data) {
  return request({
    url: '/home/homespacezrz/edit',
    method: 'post',
    data: data
  })
}

// 新增数据调查-户主信息
export function zrzConnectTask(data) {
  return request({
    url: '/houseSurvey/zrz/connectTask',
    method: 'post',
    data: data
  })
}

// 删除数据调查-自然幢
export function delZrz(id) {
  return request({
    url: '/home/homespacezrz/remove/' + id,
    method: 'get'
  })
}

// 通过宅基地编码获取自然幢详细
export function getZrzZjdDmList(zjddm) {
  return request({
    url: '/houseSurvey/zrz/getZrzZjdDm/' + zjddm,
    method: 'get'
  })
}

// 修改数据调查-自然幢
export function updateZrzStatus(data) {
  return request({
    url: '/houseSurvey/zrz/updateZrzStatus',
    method: 'post',
    data: data
  })
}
